import React from 'react';
import ReactDOM from 'react-dom';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 70;
const eyeRadius = 30;
const mouthWidth = 100;
const mouthRadius = 20;

const mouthArc = d3.arc()
    .innerRadius(mouthWidth)
    .outerRadius(mouthWidth + mouthRadius)
    .startAngle(Math.PI / 2 + 0.2)
    .endAngle(Math.PI * 3/2 - 0.2);

const App = () => (
    <svg width={width} height={height}>
    	<circle 
        cx={centerX}
        cy={centerY}
        r={centerY - (strokeWidth / 2)}
        fill="yellow"
        stroke="black"
        strokeWidth={strokeWidth}
      />
      <ellipse 
        rx="55.8812" 
        ry="33.5799" 
        transform="matrix(0.768159 0.640259 -0.683984 0.729497 360.894 183.762)" 
        fill="#C50C0C"/>
      <ellipse rx="54.1392" 
        ry="34.6095" 
        transform="matrix(-0.199506 0.979897 -0.984013 -0.178098 391.995 173.215)" 
        fill="#C50C0C"/>
      <ellipse rx="55.8812" 
        ry="33.5799" 
        transform="matrix(0.347807 0.937566 -0.956261 0.292515 567.201 175.63)" 
        fill="#C50C0C"/>
      <ellipse rx="54.1392" 
        ry="34.6095" 
        transform="matrix(-0.660575 0.75076 -0.764982 -0.644052 599.427 181.954)" 
        fill="#C50C0C"/>

      <g transform={`translate(${480},${300})`} >
        <path d={mouthArc()} />
      </g>
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);